Bug 845245 - Review Request: cura-providers - Set of basic CIM providers
Review Request: cura-providers - Set of basic CIM providers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 08:54 EDT by Radek Novacek
Modified: 2016-11-30 19:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 03:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsafrane: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2012-08-02 08:54:11 EDT
Spec URL: http://rnovacek.fedorapeople.org/cura-providers.spec
SRPM URL: http://rnovacek.fedorapeople.org/cura-providers-0.0.1-1.fc17.src.rpm
Description: cura-providers is set of (usually) small CMPI providers (agents) for basic monitoring and management of host system using Common Information Model (CIM).
Fedora Account System Username: rnovacek
Comment 1 Jan Safranek 2012-08-02 10:59:37 EDT
I'll review it.
Comment 2 Jan Safranek 2012-08-02 11:38:39 EDT
==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     There are .so files in non-devel packages, but that are plugins for SFCB or Pegasus.

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
 FAILED! There is unlisted dependency on cim-schema, compilation fails with:
CMake Error at cmake/modules/CuraMacros.cmake:66 (message):
  KonkretCMPI failed: 1
  /usr/bin/konkret: The directory given by the KONKRET_SCHEMA_DIR environment

[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
     Apart from cim-schema on build-time.
[x]: MUST Package uses nothing in %doc for runtime.

[?]: MUST Package is not known to require ExcludeArch.
     I am not sure about lm_sensors on s390x
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
     Not required, %doc is small.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[!]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[TBD]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD Spec use %global instead of %define.


So, apart from missing build dependencies and rm -rf %{buildroot}, the package looks good.
Comment 3 Jan Safranek 2012-08-02 11:40:07 EDT
Rpmlint
-------
Checking: cura-providers-0.0.1-1.fc17.src.rpm
          cura-powermanagement-0.0.1-1.fc17.x86_64.rpm
          cura-providers-0.0.1-1.fc17.x86_64.rpm
          cura-providers-debuginfo-0.0.1-1.fc17.x86_64.rpm
          cura-fan-0.0.1-1.fc17.x86_64.rpm
          cura-providers-devel-0.0.1-1.fc17.x86_64.rpm
          cura-service-0.0.1-1.fc17.x86_64.rpm
cura-providers.x86_64: E: postun-without-ldconfig /usr/lib64/libcuracommon.so.0.0.1
cura-providers.x86_64: E: non-empty-%postun /sbin/ldconfig

I don't know what this means, it contradicts itself. There *is* ldconfig in cura-providers %postun

cura-providers-devel.x86_64: W: spelling-error Summary(en_US) Develoment -> Development, Envelopment
cura-providers-devel.x86_64: W: spelling-error %description -l en_US Develoment -> Development, Envelopment

Please fix :)

cura-providers-devel.x86_64: W: no-documentation
Ok, there is not much to document.
Comment 4 Radek Novacek 2012-08-03 02:31:13 EDT
Spec URL: http://rnovacek.fedorapeople.org/cura-providers.spec
SRPM URL: http://rnovacek.fedorapeople.org/cura-providers-0.0.1-2.fc17.src.rpm

* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-2
- BR: cim-schema
- Don't clean buildroot in install
- Fix typo
Comment 5 Jan Safranek 2012-08-03 02:55:34 EDT
Now it's perfect.
Comment 6 Radek Novacek 2012-08-03 03:12:24 EDT
New Package SCM Request
=======================
Package Name: cura-providers
Short Description: Set of basic CIM providers
Owners: rnovacek
Branches: f17 f16
InitialCC:
Comment 7 Gwyn Ciesla 2012-08-03 16:01:15 EDT
Git done (by process-git-requests).
Comment 8 Radek Novacek 2012-08-06 03:22:05 EDT
Imported, thanks everyone.
Comment 9 Gwyn Ciesla 2012-08-06 09:15:26 EDT
SCM already done.

Note You need to log in before you can comment on or make changes to this bug.